package math.entropia;

import math.kombi.KombiUtil;

public class FermiDirac {
    public static void main(String[] args) {
        long k5 = KombiUtil.kbp(6, 2);
        long w5 = KombiUtil.wbp(6, 2);
        System.out.println(k5 + ", " + w5);
        //
        long k2 = KombiUtil.kbp(5, 2);
        long w2 = KombiUtil.wbp(5, 2);
        System.out.println(k2 + ", " + w2);
        //
        long k1 = KombiUtil.kbp(4, 2);
        long w1 = KombiUtil.wbp(4, 2);
        System.out.println(k1 + ", " + w1);
        //
        long k3 = KombiUtil.kbp(6, 3);
        long w3 = KombiUtil.wbp(6, 3);
        System.out.println(k3 + ", " + w3);
        //-
        long k4 = KombiUtil.kbp(5, 3);
        long w4 = KombiUtil.wbp(5, 3);
        System.out.println(k4 + ", " + w4);
        //-
        long k6 = KombiUtil.kbp(4, 3);
        long w6 = KombiUtil.wbp(4, 3);
        System.out.println(k6 + ", " + w6);
        //
        long k7 = KombiUtil.kbp(7, 4);
        long w7 = KombiUtil.wbp(7, 4);
        System.out.println(k7 + ", " + w7);
    }
}
